package com.yeejoin.equipmanage.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.equipmanage.common.entity.WlCarMileage;
import com.yeejoin.equipmanage.controller.Coordinate;

/**
 * 车量里程表 服务类
 *
 * @author duanwei
 * @date 2023-02-01
 */
public interface IWlCarMileageService extends IService<WlCarMileage> {

	Page<WlCarMileage> page(Page<WlCarMileage> page, WlCarMileage wlCarMileage);

	Integer totalMileage(String iotCode);

	List<Coordinate> getCoordinateList(long id);
	
	Map<String,Boolean> getCalender(long id,Date date);
}
